procps (2:4.0.6-3ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable (LP: #2153347). Remaining changes:
    - debian/sysctl.d:
      + 55-console-messages.conf: stop low-level kernel messages on console.
      + 55-kernel-hardening.conf: add the kptr_restrict setting
      + 55-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP #176125, #841353)
      + 55-magic-sysrq.conf: Disable most magic sysrq by default, allowing
        critical sync, remount, reboot functions. (LP #194676, #1025467)
      + 55-network-security.conf: enable rp_filter.
      + 55-ptrace.conf: describe new PTRACE setting.
      + 55-zeropage.conf: safe mmap_min_addr value for graceful fall-back
        for armhf and arm64.
      + 55-qemu.conf.s390x for qemu.
      + 55-bufferbloat.conf: set default qdisc to fq_codel
      + 55-map-count.conf: Increase vm.max_map_count to 1048576
    - d/t/stack-limit: add basic autopkgtest to validate limits
    - d/tests: Add basic autopkgtest to validate sysctl-defaults (LP #1962038)
    - d/t/stack-limit: call 'pgrep systemd' instead of 'pgrep bash'
      The autopkgtest currently fails because there is no bash session, and
      pgrep returns non-zero. Use systemd because that will match for pid1.
    - d/tests: make sysctl-defaults test comprehensive
    - d/t/test_sysctl_defaults.py: skip test if sysctl key invalid
    - d/t/control: show all sysctl.d configs before test
    - d/t/control: make sysctl-defaults test Restrictions: isolation-machine
      (LP #2115346)
  * Dropped changes (applied upstream):
    - d/p/ignore_eaccess.patch: ignore EACCES when opening sysctl file (LP #1903351)
    - d/p/ignore_erofs.patch: ignore EROFS when opening sysctl file (LP #1419554)
    - d/p/0010-testsuite-ps-etime-ELAPSED-doesn-t-match-full-format.patch:
      Fix test failure (FTBFS) in testsuite/ps.test/ps_output.exp due to
      invalid regex match inside LXD containers.
    - d/p/lp2120904-openat.patch: utilize file descriptors and openat (LP #2120904)
    - d/p/lp2120904-nullpointer.patch: fix a race when 'status' is unavailable
      in /proc/<pid> resulting in NULL pointer (LP #2120904)

 -- Carter Hawthorne <carter.hawthorne@canonical.com>  Thu, 13 Aug 2026 15:27:14 -0700

procps (2:4.0.6-3) unstable; urgency=medium

  * Break & Replace manpages-zh Closes: #1141435

 -- Craig Small <csmall@debian.org>  Tue, 28 Jul 2026 21:10:17 +1000

procps (2:4.0.6-2) unstable; urgency=medium

  [ Mattias Ellert ]
  * Fix compilation and installation on GNU/Hurd (Closes: #1138217)

  [ Craig Small ]
  * Only include linux-sysctl-defaults on Linux systems Closes: #1129174

 -- Craig Small <csmall@debian.org>  Tue, 30 Jun 2026 19:23:38 +1000

procps (2:4.0.6-1) experimental; urgency=medium

  * New upstream version
    library and w: Don't check for sd_booted Closes: #1108549
    pgrep: Match on process ID Closes: #612146
    pgrep: Add --quiet option
    pmap: add -k option to print raw names from kernel
    ps.1: cols and collums alias width option Closes: #926361
    ps.1: Add format equivalents Closes: #925437
    slabtop: Increase column width Closes: #959375
    sysctl: Use options after --system  Closes: #978989
    w: Add terminal mode to show all terminal sessions
    w: Use process TTY as backup for user TTY Closes: #1080335
    w: Use correct return value for sd_get_sessions Closes: #1068904
    watch: Add --follow option Closes: #469156
    watch: 256 color support
    watch.1: Warn about -d permanent option Closes: #883638

 -- Craig Small <csmall@debian.org>  Thu, 29 Jan 2026 21:34:30 +1100

procps (2:4.0.5-1) unstable; urgency=medium

  * New upstream version
    library: Recover from meminfo seek using LXC Closes: #1072831
    ps.1: Update man page to standards Closes: #1081801
    snice: Minor fix for help screen Closes: #1086441
    sysctl: --all skips stat_refresh Closes: #978688
    vmstat.8: si/so are changed by --unit Closes: #1061944
    w.1: Note utmp is for non-systemd Closes: #1080333
    w.1: Update man page to standards Closes: #1077367
    w: Don't segfault with -s option
    watch.1: --chgexit only works for visible changes Closes: #729569
  * Remove ps_not_path_max patch as upstream has it
  * Remove makefile_w_link_systemd as its fixed upstream

 -- Craig Small <csmall@debian.org>  Thu, 19 Dec 2024 13:09:01 +1100

procps (2:4.0.4-9ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable (LP: #2130066). Remaining changes:
    - d/p/0010-testsuite-ps-etime-ELAPSED-doesn-t-match-full-format.patch:
      Fix test failure (FTBFS) in testsuite/ps.test/ps_output.exp due to
      invalid regex match inside LXD containers.
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP#176125, LP#841353)
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
      critical sync, remount, reboot functions. (LP#194676, LP#1025467)
      + 10-network-security.conf: enable rp_filter.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
        for armhf, and arm64.
      + 10-qemu.conf.s390x for qemu.
      + 10-bufferbloat.conf: set default qdisc to fq_codel
      + 10-map-count.conf: Increase vm.max_map_count to 1048576
      + ship configs in /usr, with higher priority
        This ensures that Ubuntu's defaults take precedence over
        50-default.conf from linux-sysctl-defaults. (LP: #2108979)
    - ignore_erofs.patch: Same as ignore_eaccess but for the case
      where part of /proc is read/only.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl
      file for writing, don't error out. Otherwise package upgrades
      can fail, especially in containers.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - Add basic autopkgtest to validate sysctl-defaults (LP#1962038)
    - d/t/stack-limit: add basic autopkgtest to validate limits
    - d/t/stack-limit: call 'pgrep systemd' instead of 'pgrep bash'
      The autopkgtest currently fails because there is no bash session, and
      pgrep returns non-zero. Use systemd because that will match for pid1.
    - d/tests: make sysctl-defaults test comprehensive
    - d/t/test_sysctyl_defaults.py: skip test if sysctl key invalid (LP#2115346)
    - d/t/control show all sysctl.d configs and make sysctl-defaults test
      Restrictions: isolation-machine (LP#2115346)
    - d/p/lp2120904-openat.patch: utilize file descriptors and openat (LP#2120904)
    - d/p/lp2120904-nullpointer.patch: fix a race when 'status' is unavailable
      in /proc/<pid> resuting in NULL pointer (LP#2120904)

 -- John Chittum <john.chittum@canonical.com>  Mon, 01 Dec 2025 14:50:23 -0500

procps (2:4.0.4-9) unstable; urgency=medium

  [ Craig Small ]
  * d/changelog: Fix number for skill bug

  [ Andrew Bower ]
  * Initialise sessions variable in w. (Closes: #1108549)
  * d/patches: get sessions even if !sd_booted()

 -- Craig Small <csmall@debian.org>  Wed, 30 Jul 2025 21:58:40 +1000

procps (2:4.0.4-8ubuntu3) questing; urgency=medium

  * debian/patches/lp2120904-openat.patch: utilize file descriptors
    and openat. (LP: #2120904)
  * debian/patches/lp2120904-nullpointer.patch: Fix a race
    when 'status' is unavailable in /proc/<pid> resulting in
    a NULL pointer. (LP: #2120904)

 -- John Chittum <john.chittum@canonical.com>  Fri, 29 Aug 2025 06:58:29 -0400

procps (2:4.0.4-8ubuntu2) questing; urgency=medium

  * Fixes for new sysctl-defaults test:
    - d/t/test_sysctl_defaults.py: skip test if sysctl key invalid
    - d/t/control: show all sysctl.d configs before test
    - d/t/control: make sysctl-defaults test Restrictions: isolation-machine
      (LP: #2115346)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 25 Jun 2025 10:25:56 -0400

procps (2:4.0.4-8ubuntu1) questing; urgency=medium

  * Merge from Debian unstable (LP: #2112060). Remaining changes:
    - d/p/0010-testsuite-ps-etime-ELAPSED-doesn-t-match-full-format.patch:
      Fix test failure (FTBFS) in testsuite/ps.test/ps_output.exp due to
      invalid regex match inside LXD containers.
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP#176125, LP#841353)
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
      critical sync, remount, reboot functions. (LP#194676, LP#1025467)
      + 10-network-security.conf: enable rp_filter.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
        for armhf, and arm64.
      + 10-qemu.conf.s390x for qemu.
      + 10-bufferbloat.conf: set default qdisc to fq_codel
      + 10-map-count.conf: Increase vm.max_map_count to 1048576
    - ignore_erofs.patch: Same as ignore_eaccess but for the case
      where part of /proc is read/only.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl
      file for writing, don't error out. Otherwise package upgrades
      can fail, especially in containers.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - Add basic autopkgtest to validate sysctl-defaults (LP#1962038)
    - d/t/stack-limit: add basic autopkgtest to validate limits
  * Dropped, included in Debian:
    - d/p/ps-Don-t-crash-when-using-short-option.patch:
      Fix ps crash issue when using short option
  * New changes:
    - debian/sysctl.d: ship configs in /usr, with higher priority
      This ensures that Ubuntu's defaults take precedence over
      50-default.conf from linux-sysctl-defaults. (LP: #2108979)
    - d/t/stack-limit: call 'pgrep systemd' instead of 'pgrep bash'
      The autopkgtest currently fails because there is no bash session, and
      pgrep returns non-zero. Use systemd because that will match for pid1.
    - d/tests: make sysctl-defaults test comprehensive

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 10 Jun 2025 13:26:18 -0400

procps (2:4.0.4-8) unstable; urgency=medium

  * Port 4.0.5 patches:
    - library: recover from meminfo seek in LXC Closes: #1072831
    - library: print user/day when value is zero
    - library: Use clock_gettime for pids API Closes: #842879
    - kill: Correctly parse negative pids
    - sysctl: Don't read some keys Closes: #978688
    - skill: Fix lonesome : in help Closes: #1086441
    - sysctl.conf.5 Note changes with systemd Closes: #1077187
    - vmstat.8: si/so are changed by --unit Closes: #1061944
    - w: Don't crash with short option Closes: #1054345
    - w: Only count user sessions Closes: #1098385
    - w.1: Mention utmp only for non-systemd Closes: #1080333
    - watch.1: --chgexit only on visible changes Closes: #729569
  * Port 4.0.6 patches:
    - w: Add terminal mode -t option
    - w: Use process TTY for user TTY Closes: #1080335

 -- Craig Small <csmall@debian.org>  Mon, 14 Apr 2025 18:06:27 +1000

procps (2:4.0.4-7ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2098925). Remaining changes:
    - d/t/stack-limit: add basic autopkgtest to validate limits
    - Add basic autopkgtest to validate sysctl-defaults (LP: 1962038)
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
      - Adjust logic due to rc no longer being propagated (LP: 1903351)
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
      - Adjust logic due to rc no longer being propagated (LP: 1903351)
    - debian/sysctl.d (Ubuntu-specific):
       + 10-console-messages.conf: stop low-level kernel messages on console.
       + 10-kernel-hardening.conf: add the kptr_restrict setting
       + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
         for IPv6 privacy extensions for interfaces. (LP: 176125, LP: 841353)
       + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
         critical sync, remount, reboot functions. (LP: 194676, LP: 1025467)
       + 10-network-security.conf: enable rp_filter.
       + 10-ptrace.conf: describe new PTRACE setting.
       + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
         for armhf, and arm64.
       + 10-qemu.conf.s390x for qemu.
    - d/p/0010-testsuite-ps-etime-ELAPSED-doesn-t-match-full-format.patch:
      Fix test failure (FTBFS) in testsuite/ps.test/ps_output.exp due to
      invalid regex match inside LXD containers.
    - d/p/ps-Don-t-crash-when-using-short-option.patch:
      Fix ps crash issue when using short option

 -- Anshul Singh <anshul.singh@canonical.com>  Wed, 05 Mar 2025 12:08:11 +0530

procps (2:4.0.4-7) unstable; urgency=medium

  [ Ben Hutchings ]
  * Add file trigger on /usr/lib/sysctl.d to apply new configuration
    Closes: #1088203

  [ Craig Small ]
  * Updated watch file for GitLab api Closes: #1079806
  * Add rm_conffile for /etc/sysctl.conf Closes: #1085130
  * Update standards version to 4.7.0, no change
  * Update/Add patches metadata

 -- Craig Small <csmall@debian.org>  Tue, 10 Dec 2024 16:35:44 +1100

procps (2:4.0.4-6) unstable; urgency=medium

  * Remove old conffile sysctl.conf Closes: #1076352
  * Fixed vmstat regex, thanks Paul! Closes: #1072533

 -- Craig Small <csmall@debian.org>  Mon, 30 Sep 2024 07:24:54 +1000

procps (2:4.0.4-5) unstable; urgency=medium

  * Add Recommends: linux-sysctl-defaults Closes: #1074156
  * Remove /etc/sysctl.conf as using /etc/sysctl.d/*.conf is better
  * Updated /etc/sysctld.d/README
  * Remove maintscript as these are very old files
  * Remove old Breaks control:
     guymager <= 0.5.9 : stable is 0.8.13
     open-vm-tools <= 2011 : stable uses a epoch
  * Remove libsystemd-dev build-dep version  >= 209 : stable is 252

 -- Craig Small <csmall@debian.org>  Thu, 11 Jul 2024 18:41:23 +1000

procps (2:4.0.4-4ubuntu5) oracular; urgency=medium

  * ps: Don't crash when using short option (LP: #2080518)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 12 Sep 2024 14:34:29 +0200

procps (2:4.0.4-4ubuntu4) oracular; urgency=medium

  * d/sysctl.d/10-bufferbloat.conf: set default qdisc to fq_codel (LP: #2003027)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Wed, 17 Jul 2024 14:59:18 +0000

procps (2:4.0.4-4ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:16:00 +0000

procps (2:4.0.4-4ubuntu2) noble; urgency=medium

  * d/sysctl.d/10-map-count.conf: Set vm.max_map_count=1048576 (LP: #2057792)

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:39:47 +0100

procps (2:4.0.4-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/stack-limit: add basic autopkgtest to validate limits
    - Add basic autopkgtest to validate sysctl-defaults (LP#1962038)
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - debian/sysctl.d (Ubuntu-specific):
       + 10-console-messages.conf: stop low-level kernel messages on console.
       + 10-kernel-hardening.conf: add the kptr_restrict setting
       + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
         for IPv6 privacy extensions for interfaces. (LP#176125, LP#841353)
       + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
         critical sync, remount, reboot functions. (LP#194676, LP#1025467)
       + 10-network-security.conf: enable rp_filter.
       + 10-ptrace.conf: describe new PTRACE setting.
       + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
         for armhf, and arm64.
       + 10-qemu.conf.s390x for qemu.
    - d/p/0010-testsuite-ps-etime-ELAPSED-doesn-t-match-full-format.patch:
      Fix test failure (FTBFS) in testsuite/ps.test/ps_output.exp due to
      invalid regex match inside LXD containers.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 27 Feb 2024 12:07:21 +0100

procps (2:4.0.4-4) unstable; urgency=medium

  * Moved into unstable

 -- Craig Small <csmall@debian.org>  Sun, 28 Jan 2024 21:15:10 +1100

procps (2:4.0.4-3) experimental; urgency=medium

  * Move files to /usr for DEP17. (Closes: #1059817)
  * Placed into experimental

 -- Craig Small <csmall@debian.org>  Tue, 02 Jan 2024 19:33:53 +1100

procps (2:4.0.4-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/stack-limit: add basic autopkgtest to validate limits
    - Add basic autopkgtest to validate sysctl-defaults (LP#1962038)
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - debian/sysctl.d (Ubuntu-specific):
       + 10-console-messages.conf: stop low-level kernel messages on console.
       + 10-kernel-hardening.conf: add the kptr_restrict setting
       + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
         for IPv6 privacy extensions for interfaces. (LP#176125, LP#841353)
       + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
         critical sync, remount, reboot functions. (LP#194676, LP#1025467)
       + 10-network-security.conf: enable rp_filter.
       + 10-ptrace.conf: describe new PTRACE setting.
       + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
         for armhf, and arm64.
       + 10-qemu.conf.s390x for qemu.
  * d/p/0010-testsuite-ps-etime-ELAPSED-doesn-t-match-full-format.patch:
    Fix test failure (FTBFS) in testsuite/ps.test/ps_output.exp due to invalid
    regex match inside LXD containers.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 21 Nov 2023 11:54:36 +0100

procps (2:4.0.4-2) unstable; urgency=medium

  * Loosen regex and check file perms in pmap test Closes: #1052034
  * pkgtest: Update vmstat check
  * Skip pmap -X/XX PID PID check as flakey on buildds

 -- Craig Small <csmall@debian.org>  Mon, 09 Oct 2023 17:02:52 +1100

procps (2:4.0.4-1) unstable; urgency=medium

  * New upstream release
    - ps: Fix buffer overflow in -C option CVE-2023-4016 Closes: #1042887
    - library: Refactor the escape code Closes: #1035649
    - pgrep: Use only --signal option for signal Closes: #1031765
    - pgrep: suppress >15 warning if using regex Closes: #1037450
    - ps: fixed missing or corrupted fields with -m option Closes: #1036631
    - free: New -L option for one line output
    - ps: New --signames options to show signal names
  * watch: Color support turned on by default use -C to turn off
  * Remove redundant lines from sysctl.conf Closes: #968711

 -- Craig Small <csmall@debian.org>  Thu, 07 Sep 2023 21:31:09 +1000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libproc2-1`.
